org.codehaus.groovy.groovydoc

## Interface GroovyAnnotationRef

- All Known Implementing Classes:
    SimpleGroovyAnnotationRef

      public interface GroovyAnnotationRef

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `description()` The string representation of the annotation reference.
    `String` | `name()` Name of the annotation being referenced.
    `GroovyClassDoc` | `type()` The annotation being referenced.

- - ### Method Detail

    - #### type

          GroovyClassDoc type()

      The annotation being referenced.
      Returns:
        the annotation being referenced

    - #### name

          String name()

      Name of the annotation being referenced. Once resolved, equates to `type().typeName()`.
      Returns:
        the name of the annotation reference

    - #### description

          String description()

      The string representation of the annotation reference. Initially implemented as a temporary hack stored from the source. To be replaced with strong-typed finer grained information.
      Returns:
        the text representation of the annotation ref